"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomHex = void 0;
const node_assert_1 = __importDefault(require("node:assert"));
const node_crypto_1 = require("node:crypto");
/**
 * Generates a random hexadecimal string with the specified number of characters.
 * @param charactersCount The number of characters in the generated string.
 */
function randomHex(charactersCount) {
    (0, node_assert_1.default)(charactersCount > 0, "charactersCount must be greater than 0");
    const byteCount = Math.ceil(charactersCount / 2);
    return (0, node_crypto_1.randomBytes)(byteCount).toString("hex").substring(0, charactersCount);
}
exports.randomHex = randomHex;
