"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomNumeric = void 0;
const node_assert_1 = __importDefault(require("node:assert"));
const node_crypto_1 = require("node:crypto");
const MAX_RANGE_POWER = 14; // 10^14 is the maximum number that can be passed to randomInt
/**
 * Generates a random decimal string with the specified number of characters.
 * @param charactersCount The number of characters in the generated string.
 */
function randomNumeric(charactersCount) {
    (0, node_assert_1.default)(charactersCount > 0, "charactersCount must be greater than 0");
    let result = (0, node_crypto_1.randomInt)(0, 10 ** Math.min(charactersCount, MAX_RANGE_POWER)).toString();
    while (result.length < charactersCount) {
        const missingCharactersCount = charactersCount - result.length;
        if (missingCharactersCount === 1) {
            result = (0, node_crypto_1.randomInt)(0, 10) + result; // numeric string can start with 0
        }
        else {
            result += (0, node_crypto_1.randomInt)(0, 10 ** Math.min(missingCharactersCount, MAX_RANGE_POWER)).toString();
        }
    }
    return result;
}
exports.randomNumeric = randomNumeric;
